version: "3.8"

services:
  medialib_db:
    container_name: medialib_db
    image: registry.gitlab.com/naturalis/bii/medialib/docker-medialib/mariadb:latest
    ports:
      - "3305:3306"
    restart: always
    environment:
      MYSQL_DATABASE: medialib
      MYSQL_USER: develop
      MYSQL_PASSWORD: develop
      MARIADB_ROOT_PASSWORD: root
      MARIADB_ALLOW_EMPTY_ROOT_PASSWORD: true
    volumes:
      - ./medialib/init:/docker-entrypoint-initdb.d:ro,delegated
      - ./medialib/dbfs:/var/lib/mysql:rw,delegated
      - ./medialib/tmp:/tmp:rw,delegated

  geneious_db:
    container_name: geneious_db
    image: postgres:13-alpine3.18
    ports:
      - "5431:5432"
    restart: always
    environment:
      POSTGRES_DB: geneious
      POSTGRES_USER: develop
      POSTGRES_PASSWORD: develop
      PGDATATA: /var/lib/postgresql/data
    volumes:
      - ./geneious/init:/docker-entrypoint-initdb.d:ro,delegated
      - ./geneious/dbfs:/var/lib/postgresql/data:rw,delegated


